Name:           glazedlists
Version:        1.8.0
Release:        3%{?dist}
Summary:        A toolkit for transformations in Java
License:        (LGPLv2+ or MPLv1.1+) and ASL 2.0
Group:          Development/Tools
Url:            http://publicobject.com/glazedlists/
BuildArch:      noarch

Source0:        http://java.net/downloads/glazedlists/glazedlists-1.8.0/glazedlists-1.8.0-source_java15.zip
# Build against system jars instead of downloaded ones
Patch0:         %{name}-1.8.0-build_xml.patch

BuildRequires:  jpackage-utils
BuildRequires:  java-devel
BuildRequires:  ant

BuildRequires:  dos2unix
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  aqute-bnd
BuildRequires:  eclipse-rcp
BuildRequires:  eclipse-swt
BuildRequires:  icu4j
BuildRequires:  jcommon
BuildRequires:  jfreechart
BuildRequires:  jgoodies-forms
BuildRequires:  swingx

Requires:       java
Requires:       jpackage-utils

# Adapted from http://www.javaworld.com/javaworld/jw-10-2004/jw-1025-glazed.html
# because the project website doesn't have a good description
%description
Glazed Lists is an open source toolkit for list transformations. If a
developer is already familiar with ArrayList or Vector, he or she will feel
at home with Glazed Lists.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation
%description javadoc
Documentation for the %{name} Java library.

%prep
%setup -q -c %{name}-%{version}
%patch0 -p1
dos2unix license

%build
# System jars from /usr/share/java
export CLASSPATH=`build-classpath aqute-bnd jgoodies-forms swingx icu4j jcommon jfreechart hsqldb`
# Additional Eclipse/SWT jars
for package in org.eclipse.core.commands_ org.eclipse.equinox.common_ \
        org.eclipse.jface_ org.eclipse.swt.gtk.linux
do
    jar=`ls %{_libdir}/eclipse/plugins/${package}*.jar`
    export CLASSPATH=${CLASSPATH}:${jar}
done
# This ant task also creates the correct pom.xml
ant -Dversion=%{version} maven-bundle

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 target/maven_bundle/pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP-%{name}.pom
install -pm 644 target/%{name}_java15.jar $RPM_BUILD_ROOT/%{_javadir}/%{name}.jar
install -d -m 755 ${RPM_BUILD_ROOT}%{_javadocdir}/
cp -r target/docs ${RPM_BUILD_ROOT}%{_javadocdir}/%{name}
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%files
%doc license readme.html
%{_javadir}/*.jar
%{_mavendepmapfragdir}/%{name}
%{_mavenpomdir}/JPP-%{name}.pom

%files javadoc
%doc license
%{_javadocdir}/%{name}

%changelog
* Mon Feb 13 2012 Mary Ellen Foster <mefoster at gmail.com> - 1.8.0-3
- Fix license header again
- Add license file to javadoc package
- Remove defattr

* Wed Jan 25 2012 Mary Ellen Foster <mefoster at gmail.com> - 1.8.0-2
- Remove clean section, install unversioned javadocs
- Accurate licenses in header

* Wed Jan 25 2012 Mary Ellen Foster <mefoster at gmail.com> - 1.8.0-1
- Initial package
